﻿@model CreateClubStep2ViewModel

@{
    Layout = "~/Views/Shared/_BaseLayout.cshtml";
    ViewBag.Title = "Free trial";

    var mapKey = Jumbula.Web.Mvc.WebConfig.WebConfigHelper.GoogleMapAPIKey;
}

<section id="freeTrialContainer" class="clearfix">
    <div class="inner-container clearfix">

        <section class="body-content clearfix">

            @using (Html.BeginForm("CreateAccountStep2", "Club", FormMethod.Post, new { id = "CreateClubStep2" }))
            {
                @Html.AntiForgeryToken()
                @Html.ValidationSummary(true)

                <div class="form-group col-50 col-margin">
                    <label for="FirstName" class="jb-label">First name</label>
                    @Html.TextBoxFor(model => model.FirstName, new { @class = "form-control jb-lbl-input" })
                    @Html.ValidationMessageFor(model => model.FirstName)
                </div>

                <div class="form-group col-50">
                    <label for="LastName" class="jb-label">Last name</label>
                    @Html.TextBoxFor(model => model.LastName, new { @class = "form-control jb-lbl-input" })
                    @Html.ValidationMessageFor(model => model.LastName)
                </div>

                @*<div class="form-group col-80 col-margin">*@
                <div class="form-group">
                    <label for="Address" class="jb-label">Address</label>
                    @Html.TextBoxFor(model => model.Address, new { @id = "address", @class = "form-control jb-lbl-input", @placeholder = "" })
                    @Html.ValidationMessageFor(model => model.Address)
                    <div id="map"></div>
                </div>

                <div class="form-group">
                    @Html.DropDownListFor(model => model.SelectedRevenue, Model.Revenue, "What is your annual revenue?", new { @class = "form-control jb-select" })

                    @Html.ValidationMessageFor(model => model.SelectedRevenue)
                </div>
                <div class="form-group">
                    @Html.DropDownListFor(model => model.SelectedHowDidYouHear, Model.HowDidYouHear, "How did you hear about us?", new { @class = "form-control jb-select" })

                    @Html.ValidationMessageFor(model => model.SelectedHowDidYouHear)
                </div>

                @Html.HiddenFor(model => model.Token)
                <button id="CreateAccount" class="btn btn-jb jb-lg-btn" type="submit">Continue</button>
            }

        </section>

        <!-- Footer -->
        <footer class="footer-content clearfix">
            <div class="pull-left"><div class="copyright">© Copyright <span class="year">2016</span> <a href="http://jumbula.com" title="Jumbula.com">Jumbula</a>. All Rights Reserved.</div></div>
            <div class="pull-right">
                <a href="https://twitter.com/Jumbulame" class="social" title="Twitter"><i class="jbi-twitter"></i></a>
                <a href="http://blog.jumbula.com/" class="social" title="Blog"><i class="jbi-book"></i></a>
                <a href="https://www.facebook.com/jumbulame" class="social" title="Facebook"><i class="jbi-facebook"></i></a>
            </div>
        </footer>

    </div>
</section>



@section Styles{
    <link href="~/Content/Student/Account/FreeTrial.css" rel="stylesheet" />
}

@section Scripts{

    @Scripts.Render("~/bundles/jqueryValidateUnobtrusive")

    <script type="text/javascript" src="http://maps.googleapis.com/maps/api/js?sensor=false&libraries=places&key=@mapKey&signed_in=true"></script>
    <script type="text/javascript" src="~/Scripts/Student/FreeTrial.js"></script>

    <script type="text/javascript">

        google.maps.event.addDomListener(window, 'load', function () {
            var options = {
                types: ['(cities)'],
                componentRestrictions: { country: "in" }
            };

            var input = document.getElementById('Address');
            var places = new google.maps.places.Autocomplete(input, options);
        });

    </script>
}